package com.bonus.canteen.core.marketing.model;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

/** @deprecated */
@Deprecated
@ApiModel("生效范围")
@TableName("mkt_effective")
public class MktEffective extends Model<MktEffective> {
   private static final long serialVersionUID = 1L;
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("范围id")
   private Long effId;
   @ApiModelProperty("范围名称")
   private String effName;
   @ApiModelProperty("生效范围类型(1-人员类,2-食堂类,3-商品类,4-仓库类)")
   private Integer effType;
   @ApiModelProperty("人员取交并集(1-交集,2-并集)")
   private Integer userType;
   @ApiModelProperty("删除标识(1-删除,2-正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getEffId() {
      return this.effId;
   }

   public String getEffName() {
      return this.effName;
   }

   public Integer getEffType() {
      return this.effType;
   }

   public Integer getUserType() {
      return this.userType;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setEffId(final Long effId) {
      this.effId = effId;
   }

   public void setEffName(final String effName) {
      this.effName = effName;
   }

   public void setEffType(final Integer effType) {
      this.effType = effType;
   }

   public void setUserType(final Integer userType) {
      this.userType = userType;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }
}
